For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTSimulates Shipment
      • GETGet Simulation Status
    • OpenAPI spec
LogoLogo
API ReferenceSimulations

Simulates Shipment

||View as Markdown|
POST
/2026-01/simulate/shipment
POST
/2026-01/simulate/shipment
$curl -X POST https://api.shipbob.com/2026-01/simulate/shipment \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "shipment_id": "string",
> "simulation": {
> "action": "ShipOrder",
> "delay": 0,
> "next": {}
> }
>}'
1{
2 "message": "string",
3 "simulation_id": "string"
4}
Simulation shipments in the ShipBob sandbox environment. Learn more about [sandbox simulations](/sandbox/simulations). <Warning>This endpoint is **only available** on sandbox.</Warning>
Was this page helpful?
Previous

Get Tracking by Tracking Ids

Next

Get Simulation Status

Built with

Simulation shipments in the ShipBob sandbox environment. Learn more about sandbox simulations.

This endpoint is only available on sandbox.

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Request

Order Simulation Request Model
shipment_idstring or nullRequired>=1 character
The ShipBob shipment id the simulation should target.
simulationobjectRequired
The simulation action definition, optionally chained with subsequent actions.

Response

Existing registration
messagestring or null
Optional message about the submitted simulation.
simulation_idstring or null
The unique identifier of the simulation run.